Voro++: voro::wall_cone Struct Reference

Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
voro::wall_cone Struct Reference

A class representing a conical wall object. More...

`#include <wall.hh>`

Inheritance diagram for voro::wall_cone:

## Public Member Functions
| wall_cone (double xc_, double yc_, double zc_, double xa_, double ya_, double za_, double ang, int w_id_=-99)
bool | point_inside (double x, double y, double z)
template<class v_cell >
bool | cut_cell_base (v_cell &c, double x, double y, double z)
bool | cut_cell (voronoicell &c, double x, double y, double z)
bool | cut_cell (voronoicell_neighbor &c, double x, double y, double z)

## Detailed Description

This class represents a cone wall object.

Definition at line 93 of file wall.hh.

## Constructor & Destructor Documentation

voro::wall_cone::wall_cone | ( | double | xc_,
|  | double | yc_,
|  | double | zc_,
|  | double | xa_,
|  | double | ya_,
|  | double | za_,
|  | double | ang,
|  | int | w_id_ = `-99`
| ) |  |
| inline

Constructs a cone wall object.

Parameters

  [in] | (xc_,yc_,zc_) | the apex of the cone.
  [in] | (xa_,ya_,za_) | a vector pointing along the axis of the cone.
  [in] | ang | the angle (in radians) of the cone, measured from the axis.
  [in] | w_id_ | an ID number to associate with the wall for neighbor tracking.

Definition at line 103 of file wall.hh.

## Member Function Documentation

bool voro::wall_cone::cut_cell | ( | voronoicell & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inlinevirtual

A pure virtual function for cutting a cell without neighbor-tracking with a wall.

Implements voro::wall.

Definition at line 110 of file wall.hh.

bool voro::wall_cone::cut_cell | ( | voronoicell_neighbor & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inlinevirtual

A pure virtual function for cutting a cell with neighbor-tracking enabled with a wall.

Implements voro::wall.

Definition at line 111 of file wall.hh.

template<class v_cell >

template bool voro::wall_cone::cut_cell_base | ( | v_cell & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |

Cuts a cell by the cone wall object. The conical wall is approximated by a single plane applied at the point on the cone which is closest to the center of the cell. This works well for particle arrangements that are packed against the wall, but loses accuracy for sparse particle distributions.

Parameters

  [in,out] | c | the Voronoi cell to be cut.
  [in] | (x,y,z) | the location of the Voronoi cell.

Returns
  True if the cell still exists, false if the cell is deleted.

Definition at line 106 of file wall.cc.

bool voro::wall_cone::point_inside | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| virtual

Tests to see whether a point is inside the cone wall object.

Parameters

  [in] | (x,y,z) | the vector to test.

Returns
  True if the point is inside, false if the point is outside.

Implements voro::wall.

Definition at line 88 of file wall.cc.

The documentation for this struct was generated from the following files:

- wall.hh
- wall.cc